LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices

Reply
 
Search this Thread
Old 03-20-2005, 07:03 AM   #1
bambolin
LQ Newbie
 
Registered: Oct 2004
Posts: 22

Rep: Reputation: 15
libglade and libxml problem


I am trying to install a pptp client from source forge and when I am trying to install the GTK+ interface

# rpm --install php-gtk-pcntl-1.0.1-2.i386.rpm

it is giving me these errors:

libglade is needed by php-gtk-pcntl-1.0.1-2.i386
libglade.so.0 is needed by php-gtk-pcntl-1.0.1-2.i386
libxml is needed by php-gtk-pcntl-1.0.1-2.i386
libxml.so.1 is needed by php-gtk-pcntl-1.0.1-2.i386


I am running fedora core 3. How can i get libglade and libxml? I trid to search for these libraries in the FC3 installation cds but I could not find them. Anyone can suggest me how I can get these libraries pls :-) THx
 
Old 03-20-2005, 09:15 AM   #2
bobbyjoe
Member
 
Registered: Nov 2004
Posts: 46

Rep: Reputation: 15
There is some good website to find what you want. First is http://www.rpmseek.com/

Just go here: http://search.rpmseek.com/search.html?hl=com

Then select what you want to keep from the result of your search.

I will list one by one only what you need to check, and all others should/must be unchecked (depend on your preferences):
On the top : "rpms package" should be check.
After Distribution, Fedora:
"Fedora core" too.
After Architecture:
i386 i486 i586 i686 and noarch (or just x86_64 if you get a 64bit AMD processor and Fedora for AMD 64bit)

and last but not least: do not forget to check this: "Store this selection in a cookie"

Now, I write: libglade.so.0 in "Package contains File" and find this : http://rpmseek.com/rpm-pl/libglade.h...5,11:12,82:1:0

libglade-0.17-15.i386.rpm Fedora Core Devel 0.17 15 i386 Download
libglade-0.17-15.i386.rpm Fedora Core 3 0.17 15 i386 Download
libglade-0.17-13.2.1.i386.rpm Fedora Core 2 0.17 13.2.1 i386 Download
libglade-0.17-12.2.i386.rpm Fedora Core 1 0.17 12.2 i386 Download

Just click on the "Download" link (a small gif in the Dld. column corresponding to your distrib, the Fedora Core 3).

Pretty easy... But in fact, you don't have to do all these steps. It in just in extreme cases.

I am trying to install a pptp client from source forge and when I am trying to install the GTK+ interface

Because when you said:
> it is giving me these errors:
>
> libglade is needed by php-gtk-pcntl-1.0.1-2.i386
> libglade.so.0 is needed by php-gtk-pcntl-1.0.1-2.i386
> libxml is needed by php-gtk-pcntl-1.0.1-2.i386
> libxml.so.1 is needed by php-gtk-pcntl-1.0.1-2.i386
It sais to you, you need to install libglade rpm and libxml rpm. Because php-gtk-pcntl needs libglade.so.0 and libxml.so.1 files !

So I suggest you to get your cds in, and look again if you find libglade-0.17-15.i386.rpm and libxml-*
 
Old 03-20-2005, 01:35 PM   #3
bambolin
LQ Newbie
 
Registered: Oct 2004
Posts: 22

Original Poster
Rep: Reputation: 15
I really wanna thank you for ur reply. Thanks a lot I managed to install the rpms :-) Cheers man!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
./configure problem checking for libxml libraries >= 2.6.15 jackkerouac Linux - Software 2 01-12-2005 04:17 PM
libXML problem?? Ytsejammer Linux - Software 0 12-23-2004 11:01 PM
libglade, libxml not found on PPTPClient install FC3 mbogucki Linux - Newbie 4 12-06-2004 05:14 PM
Retrieving element content in libxml++-1.0 SeriousMan Programming 4 11-22-2004 12:14 PM
problem installing XML::LibXML pmedes Linux - Newbie 0 10-28-2003 10:54 AM


All times are GMT -5. The time now is 04:57 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration